Bug 128637 - [patch] fix SEGV in mail/mutt-devel
Summary: [patch] fix SEGV in mail/mutt-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-06 10:20 UTC by Eygene Ryabinkin
Modified: 2008-11-12 12:50 UTC (History)
0 users

See Also:


Attachments
1.5.18_4-fix-SEGV.patch (1.08 KB, patch)
2008-11-06 10:20 UTC, Eygene Ryabinkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2008-11-06 10:20:00 UTC
There is a known bug in the Mutt 1.5.18: http://dev.mutt.org/trac/ticket/3057
It is rather nasty, because it crashes Mutt.

Fix: Since Mutt release cycle is "floating" and it is not currently known
where the next release will happen, I propose to patch FreeBSD port
just now.  The patch itself was obtained from the upstream.
How-To-Repeat: 
From the bug description:
-----
I start mutt. With c+<TAB>+<TAB> I change to imap.gmail.com where I have
to enter the passwort. With c+! I change back to home server. When I
press c+<TAB>+>TAB> again to access another preconfigured mailbox, mutt
crashes reproducible.
-----
Comment 1 Edwin Groothuis freebsd_committer 2008-11-06 11:24:11 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/128637 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128637

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-11-06 11:24:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2008-11-06 14:07:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Edwin Groothuis freebsd_committer 2008-11-06 15:04:16 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/128637 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128637

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 5 Edwin Groothuis freebsd_committer 2008-11-06 15:11:05 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/128637 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128637

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 6 Udo.Schweigert 2008-11-11 21:43:42 UTC
Maintainer feedback: please apply this patch:

diff -ru  /usr/ports/mail/mutt-devel/Makefile ./Makefile
--- /usr/ports/mail/mutt-devel/Makefile	2008-10-23 09:21:45.000000000 +0200
+++ ./Makefile	2008-11-10 23:03:30.000000000 +0100
@@ -117,7 +117,7 @@
 
 PORTNAME=	mutt-devel
 PORTVERSION=	1.5.18
-PORTREVISION?=	3
+PORTREVISION?=	4
 CATEGORIES+=	mail ipv6
 .if defined(WITH_MUTT_NNTP)
 CATEGORIES+=	news
diff -ru  /usr/ports/mail/mutt-devel/files/patch-imap-browse.c ./files/patch-imap-browse.c
--- /usr/ports/mail/mutt-devel/files/patch-imap-browse.c	1970-01-01 01:00:00.000000000 +0100
+++ ./files/patch-imap-browse.c	2008-11-10 23:06:04.000000000 +0100
@@ -0,0 +1,13 @@
+Index: imap/browse.c
+Obtained from: http://dev.mutt.org/trac/changeset/5401%3Abba92e401440/imap/browse.c?old=5378%3Aac00273b3a88&old_path=imap%2Fbrowse.c
+Bug description: http://dev.mutt.org/trac/ticket/3057
+===================================================================
+--- imap/browse.c
++++ imap/browse.c
+@@ -229,5 +229,5 @@
+   }
+ 
+-  if (!imap_mxcmp(mx.mbox, idata->mailbox))
++  if (idata->ctx && !imap_mxcmp(mx.mbox, idata->mailbox))
+   {
+     state->new = idata->ctx->new;

On Thu, Nov 06, 2008 at 15:11:05 +0000, Edwin Groothuis wrote:
> Maintainer of mail/mutt-devel,
> 
> Please note that PR ports/128637 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128637
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 7 Wesley Shields freebsd_committer 2008-11-12 12:41:01 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2008-11-12 12:41:10 UTC
wxs         2008-11-12 12:40:55 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile 
  Added files:
    mail/mutt-devel/files patch-imap-browse.c 
  Log:
  Add a patch that fixes a crash (http://dev.mutt.org/trac/ticket/3057).
  
  PR:             ports/128637
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  Reviewed by:    Udo.Schweigert@siemens.com (maintainer)
  
  Revision  Changes    Path
  1.298     +1 -1      ports/mail/mutt-devel/Makefile
  1.3       +13 -0     ports/mail/mutt-devel/files/patch-imap-browse.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"